org.apache.commons.io.filefilter

## Interface IOFileFilter

All Superinterfaces:
  FileFilter, FilenameFilter

All Known Implementing Classes:
  AbstractFileFilter, AgeFileFilter, AndFileFilter, CanReadFileFilter, CanWriteFileFilter, DelegateFileFilter, DirectoryFileFilter, EmptyFileFilter, FalseFileFilter, FileFileFilter, HiddenFileFilter, MagicNumberFileFilter, NameFileFilter, NotFileFilter, OrFileFilter, PrefixFileFilter, RegexFileFilter, SizeFileFilter, SuffixFileFilter, TrueFileFilter, WildcardFileFilter, WildcardFilter

    public interface IOFileFilter
    extends FileFilter, FilenameFilter

An interface which brings the FileFilter and FilenameFilter interfaces together.

Since:
  1.0
Version:
  $Id$

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept(File file)` Checks to see if the File should be accepted by this filter.
`boolean` `accept(File dir, String name)` Checks to see if the File should be accepted by this filter.

### Method Detail

#### accept

    boolean accept(File file)

Checks to see if the File should be accepted by this filter.

Defined in `FileFilter`.

Specified by:
  `accept` in interface `FileFilter`
Parameters:
  `file` - the File to check
Returns:
  true if this file matches the test

#### accept

    boolean accept(File dir,
                   String name)

Checks to see if the File should be accepted by this filter.

Defined in `FilenameFilter`.

Specified by:
  `accept` in interface `FilenameFilter`
Parameters:
  `dir` - the directory File to check
  `name` - the filename within the directory to check
Returns:
  true if this file matches the test